.actions {
  width: 100%;
  height: 40px;
  background-color: var(--colors-first-background);
  position: relative;
  display: flex;

  .action {
    width: 40px;
    height: 40px;
    margin-right: 2px;
  }

  .directory {
    margin: 5px auto;
    width: 50%;
  }

  .search {
    margin: 5px 5px 0 auto;
    width: 200px;
  }

  mat-progress-bar {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
  }
}

.input {
  position: relative;
  border-radius: 10px;
  border: 2px solid var(--colors-scroll);
  height: 30px;

  mat-icon {
    width: 25px;
    height: 25px;
    line-height: 25px;
    text-align: center;
    font-size: 20px;
    margin: 1px 2.5px 0 5px;
  }

  input {
    position: absolute;
    top: 0;
    left: 30px;
    width: calc(100% - 30px);
    height: 100%;
    background: none;
    border: none;
    color: var(--colors-text);

    &:focus {
      outline: none;
    }
  }
}

.directory-content {
  overflow-y: scroll;
  width: 100%;
  height: calc(100% - 70px);
  user-select: none;
  margin-top: 10px;
  padding-left: 5px;

  .content {
    width: 100%;
    height: 30px;
    display: flex;
    border: 2px solid rgba(0, 0, 0, 0);

    .icon {
      width: 30px;
      height: 30px;
      line-height: 25px;
      font-size: 25px;
      text-align: center;
      margin-right: 10px;
    }

    span {
      line-height: 30px;
      height: 30px;
      width: calc(100% - 30px);
    }

    button {
      align-self: center;
      justify-self: flex-end;
    }

    &:hover {
      cursor: pointer;
      border: 2px solid var(--colors-first-background);
    }
  }

  .selected {
    background-color: var(--colors-first-background);
  }
}

.directory-information {
  width: 100%;
  height: 20px;

  span {
    margin: 0 10px;
  }
}

.create-directory mat-form-field {
  width: 90%;
  margin: 5%;
}

.select-program {
  overflow-x: hidden;
  overflow-y: scroll;

  .program {
    margin-left: 10%;
    width: 80%;
    height: 30px;
    margin-bottom: 5px;
    border-radius: 5px;

    img {
      width: 30px;
      height: 30px;
      margin-right: 2px;
    }

    span {
      height: 30px;
      line-height: 30px;
      text-align: center;
    }

    &:hover {
      background-color: var(--colors-first-background);
      cursor: pointer;
    }
  }
}

.override {
  span {
    position: absolute;
    width: 100%;
    top: 10%;
    font-size: 20px;
    text-align: center;
  }

  .buttons {
    margin-top: 30%;
  }
}

.name-bar {
  position: absolute;
  bottom: 20px;
  left: 0;
  width: 100%;
  height: 40px;
  background-color: var(--colors-first-background);
  display: flex;

  div {
    height: 30px;
    margin: 5px;
    flex-grow: 1;
  }

  button {
    width: 30px;
    height: 30px;
    flex-shrink: 0;
    margin: 5px;

    mat-icon {
      position: absolute;
      transform: translate(-50%, -50%);
    }
  }
}
